Developers
V1PlatformReportsIdActions

Dismiss, remove, warn about or escalate a report

Appends an audited action. remove_content takes a member profile or club off every surface (or a participant's name off challenge boards); content created by staff is removed in the Community admin screens. A note is required except for dismiss. A resolved report cannot be acted on again.

POST
/v1/platform/reports/{id}/actions
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/platform/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions" \  -H "Content-Type: application/json" \  -d '{    "action": "dismiss"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",  "action": "dismiss",  "state": "open",  "removed": [    "profile"  ]}